Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
nguyenvanphuoc

dim kích thước

Các bài được khuyến nghị

may anh cho em hỏi làm sao để chình chiều dài đoạn dim kich thước ngăn' lại một chút vậy.em không mun' no' đặt ngay sát đối tượng của minh.với làm sao để tăng khoảng cách của chữ số kích thước với đoạn thẳng có mũi tên.e thanks trươc.chúc cadviet luôn phat' triển

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn vào Dimension Style Manager -> Modify Dimension Style Manager

-> Lines : Chỉnh thông số ở phần Offset from origin càng lớn thì khoảng cách chân Dim tới đối tượng càng lớn.

-> Text : Chỉnh thông số ở phần Offset from dim line càng lớn thì khoảng cách text tới Dim càng lớn.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn vào Dimension Style Manager -> Modify Dimension Style Manager

-> Lines : Chỉnh thông số ở phần Offset from origin càng lớn thì khoảng cách chân Dim tới đối tượng càng lớn.

-> Text : Chỉnh thông số ở phần Offset from dim line càng lớn thì khoảng cách text tới Dim càng lớn.

cảm ơn anh nhiều.em làm được rồi.hehe.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

bạn có thể tham khảo lisp : lệnh xx, yy hiệu chỉnh ghi kích thước này, hoặc download trên diễn đàn

;ReWrite By : PMD!
 
(VMON)
(defun dtr (dtr) (* pi (/ dtr 180.0)))
(defun rtd (rtd) (* 180.0 (/ rtd pi)))
(setvar "mirrtext" 0)
(SETVAR "FILLETRAD" 0)
(setvar "tracewid" 220)
(setvar "DIMTIX" 1)
 
; NEW *****************************************************************
 
;;; LAYER *****************************************
;;;--------------------------------------------------------------------------;
;;;CHANGE LAYER **************
;;;--------------------------------------------------------------------------;
(defun C:l0 () (ssget) (command "change" "p" "" "p" "la" "0" ""))
(defun C:lt () (ssget) (command "change" "p" "" "p" "la" "tuong" ""))
(defun C:lth () (ssget) (command "change" "p" "" "p" "la" "thay" ""))
(defun C:lta () (ssget) (command "change" "p" "" "p" "la" "tam" ""))
(defun C:lm () (ssget) (command "change" "p" "" "p" "la" "manh" ""))
(defun C:lcm () (ssget) (command "change" "p" "" "p" "la" "cuc manh" ""))
(defun C:lcc () (ssget) (command "change" "p" "" "p" "la" "cua" ""))
(defun C:lch () (ssget) (command "change" "p" "" "p" "la" "chu" ""))
(defun C:lc () (ssget) (command "change" "p" "" "p" "la" "cat" ""))
(defun C:ld () (ssget) (command "change" "p" "" "p" "la" "dim" ""))
(defun C:ln () (ssget) (command "change" "p" "" "p" "la" "noi that" ""))
 
;;;--------------------------------------------------------------------------;
 
; DIMENSION **************
 
(defun vectophap (v01 v02 / vectochiphuong) (setq vectochiphuong (mapcar '- v01 v02)) 
(list (cadr vectochiphuong) (* -1 (car vectochiphuong))))
;;Xac dinh vi tri hinh chieu 1 diem len 1 duong thang
;;da biet 2 diem thuoc duong thang
(defun ha:giaodiem (dc1 p1 p2 / hc hc1 diem1)
(setq diem1 (vectophap p1 p2))
(setq hc1 (polar dc1 (angle '(0.0 0.0) diem1) 100))
(setq hc (inters p1 p2 dc1 hc1 nil))
)
;;;--------------------------------------------------------------------------;
;;;LENH CAT DUONG KICH THUOC 
;;;--------------------------------------------------------------------------;
 
(DEFUN C:XX ()
 (SETQ CMD (GETVAR "CMDECHO"))
 (SETVAR "CMDECHO" 0)
 (COMMAND "UCS" "W")
 (SETVAR "CMDECHO" 1)
 (PROMPT"\nChon cac kich thuoc can thay doi goc")
 (SETQ SET (SSGET))
 (PROMPT"\nChon vi tri diem goc moi cho duong dong")
 (SETQ P1 (GETPOINT))
 (SETQ X3 (CAR P1))
 (SETQ QUANT (SSLENGTH SET))
 (SETQ INDEX 0)
  (WHILE (< INDEX QUANT)
   (IF (AND(= "DIMENSION" (CDR (ASSOC 0 (SETQ A (ENTGET (SSNAME SET INDEX))))))
       )
    (PROGN
     (SETQ L13 (ASSOC 13 A))
     (SETQ M13 (CDR L13))
     (SETQ L14 (ASSOC 14 A))
     (SETQ M14 (CDR L14))
     (SETQ L10 (ASSOC 10 A))
     (SETQ M10 (CDR L10))
     (IF (/= M10 M14)
      (progn
       (setq ang (angle m14 m10)
           P2 (polar P1 (+ ang (/ pi 2)) 100)
           m131 (polar M13 ang 100)
           m142 (inters p1 p2 m14 m10 nil)
           m132 (inters p1 p2 m13 m131 nil)
           )
     (SETQ P13 (LIST 13 (car m132) (CADR M132) (CADDR M132)))
     (SETQ P14 (LIST 14 (car m142) (CADR M142) (CADDR M142)))
))
     (IF (and (= (car M10) (car M14)) (= (cadr M10) (cadr M14)))
        (PROGN
             (INITGET "catX catY")
            (SETQ T (GETSTRING "\ncat X hay cat Y : "))
             (SETQ T (STRCASE T))
            (cond 
             ((= T "X")
                (SETQ P13 (LIST 13 X3 (CADR M13) (CADDR M13)))
               (SETQ P14 (LIST 14 X3 (CADR M14) (CADDR M14)))
               )
             ((= "Y" T)
               (SETQ P13 (LIST 13 (CAR M13) Y3 (CADDR M13)))
              (SETQ P14 (LIST 14 (CAR M14) Y3 (CADDR M14)))
        )
        )
     ) )      
     (SETQ A (SUBST P13 L13 A))
     (SETQ A (SUBST P14 L14 A))
     (ENTMOD A)
    )
   )
  (SETQ INDEX (+ INDEX 1))
 )
 (SETVAR "CMDECHO" 0)
 (COMMAND "UCS" "P")
 (SETVAR "CMDECHO" CMD)
 (PRINC)
)
 
;;;--------------------------------------------------------------------------;
;;;LENH DONG THANG DUONG KICH THUOC 
;;;--------------------------------------------------------------------------;
 
(defun c:yy (/ p10 p13 p14 p1 p2 d1
                new10 old10 ang dstyle
                taphop phantu sophantu sodem lis1)
 (defun *error* (msg)
  (princ "\nError: ")(princ msg)(princ "  ")
  (if (null d1) (princ "\nChuong trinh chi dung voi linear dimension "))  
  (setq *error* olderr)
  (princ)
 )
 (setq olderr *error*)
 (setq taphop (SSGET '((0 . "DIMENSION")))
       P1 (getpoint "\nSelect new dimension position")
       sophantu (SSLENGTH taphop)
       sodem 0)
 (WHILE (< sodem sophantu)
  (setq lis1 (entget (ssname taphop sodem))
        old10 (assoc 10 lis1)
        p10 (cdr (assoc 10 lis1))
        p13 (cdr (assoc 13 lis1))
p14 (cdr (assoc 14 lis1))
ang (cdr (assoc 50 lis1))
        dstyle (cdr (assoc 70 lis1))
)
  (cond
    ((or (= dstyle 1)(= dstyle 32)(= dstyle 160)) (setq  p2 (polar p1 ang 500)))
    ((= dstyle 33)
     (progn
       (setq ang (angle p13 p14)
             p2 (polar p1 ang 500))
    ))
  )  
    (setq d1 (ha:giaodiem p10 p1 p2)
             new10 (list 10 (car d1) (cadr d1) 0)
             lis1 (subst new10 old10 lis1)
             sodem (1+ sodem))
    (entmod lis1)
 )
(setq *error* olderr)
(princ)
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

;ReWrite By : PMD!

 

(VMON)

(defun dtr (dtr) (* pi (/ dtr 180.0)))

(defun rtd (rtd) (* 180.0 (/ rtd pi)))

(setvar "mirrtext" 0)

(SETVAR "FILLETRAD" 0)

(setvar "tracewid" 220)

(setvar "DIMTIX" 1)

 

; NEW *****************************************************************

 

;;; LAYER *****************************************

;;;--------------------------------------------------------------------------;

;;;CHANGE LAYER **************

;;;--------------------------------------------------------------------------;

(defun C:l0 () (ssget) (command "change" "p" "" "p" "la" "0" ""))

(defun C:lt () (ssget) (command "change" "p" "" "p" "la" "tuong" ""))

(defun C:lth () (ssget) (command "change" "p" "" "p" "la" "thay" ""))

(defun C:lta () (ssget) (command "change" "p" "" "p" "la" "tam" ""))

(defun C:lm () (ssget) (command "change" "p" "" "p" "la" "manh" ""))

(defun C:lcm () (ssget) (command "change" "p" "" "p" "la" "cuc manh" ""))

(defun C:lcc () (ssget) (command "change" "p" "" "p" "la" "cua" ""))

(defun C:lch () (ssget) (command "change" "p" "" "p" "la" "chu" ""))

(defun C:lc () (ssget) (command "change" "p" "" "p" "la" "cat" ""))

(defun C:ld () (ssget) (command "change" "p" "" "p" "la" "dim" ""))

(defun C:ln () (ssget) (command "change" "p" "" "p" "la" "noi that" ""))

 

;;;--------------------------------------------------------------------------;

 

; DIMENSION **************

 

(defun vectophap (v01 v02 / vectochiphuong) (setq vectochiphuong (mapcar '- v01 v02))

(list (cadr vectochiphuong) (* -1 (car vectochiphuong))))

;;Xac dinh vi tri hinh chieu 1 diem len 1 duong thang

;;da biet 2 diem thuoc duong thang

(defun ha:giaodiem (dc1 p1 p2 / hc hc1 diem1)

(setq diem1 (vectophap p1 p2))

(setq hc1 (polar dc1 (angle '(0.0 0.0) diem1) 100))

(setq hc (inters p1 p2 dc1 hc1 nil))

)

;;;--------------------------------------------------------------------------;

;;;LENH CAT DUONG KICH THUOC

;;;--------------------------------------------------------------------------;

 

(DEFUN C:XX ()

(SETQ CMD (GETVAR "CMDECHO"))

(SETVAR "CMDECHO" 0)

(COMMAND "UCS" "W")

(SETVAR "CMDECHO" 1)

(PROMPT"\nChon cac kich thuoc can thay doi goc")

(SETQ SET (SSGET))

(PROMPT"\nChon vi tri diem goc moi cho duong dong")

(SETQ P1 (GETPOINT))

(SETQ X3 (CAR P1))

(SETQ QUANT (SSLENGTH SET))

(SETQ INDEX 0)

(WHILE (< INDEX QUANT)

(IF (AND(= "DIMENSION" (CDR (ASSOC 0 (SETQ A (ENTGET (SSNAME SET INDEX))))))

)

(PROGN

(SETQ L13 (ASSOC 13 A))

(SETQ M13 (CDR L13))

(SETQ L14 (ASSOC 14 A))

(SETQ M14 (CDR L14))

(SETQ L10 (ASSOC 10 A))

(SETQ M10 (CDR L10))

(IF (/= M10 M14)

(progn

(setq ang (angle m14 m10)

P2 (polar P1 (+ ang (/ pi 2)) 100)

m131 (polar M13 ang 100)

m142 (inters p1 p2 m14 m10 nil)

m132 (inters p1 p2 m13 m131 nil)

)

(SETQ P13 (LIST 13 (car m132) (CADR M132) (CADDR M132)))

(SETQ P14 (LIST 14 (car m142) (CADR M142) (CADDR M142)))

))

(IF (and (= (car M10) (car M14)) (= (cadr M10) (cadr M14)))

(PROGN

(INITGET "catX catY")

(SETQ T (GETSTRING "\ncat X hay cat Y : "))

(SETQ T (STRCASE T))

(cond

((= T "X")

(SETQ P13 (LIST 13 X3 (CADR M13) (CADDR M13)))

(SETQ P14 (LIST 14 X3 (CADR M14) (CADDR M14)))

)

((= "Y" T)

(SETQ P13 (LIST 13 (CAR M13) Y3 (CADDR M13)))

(SETQ P14 (LIST 14 (CAR M14) Y3 (CADDR M14)))

)

)

) )

(SETQ A (SUBST P13 L13 A))

(SETQ A (SUBST P14 L14 A))

(ENTMOD A)

)

)

(SETQ INDEX (+ INDEX 1))

)

(SETVAR "CMDECHO" 0)

(COMMAND "UCS" "P")

(SETVAR "CMDECHO" CMD)

(PRINC)

)

 

;;;--------------------------------------------------------------------------;

;;;LENH DONG THANG DUONG KICH THUOC

;;;--------------------------------------------------------------------------;

 

(defun c:yy (/ p10 p13 p14 p1 p2 d1

new10 old10 ang dstyle

taphop phantu sophantu sodem lis1)

(defun *error* (msg)

(princ "\nError: ")(princ msg)(princ " ")

(if (null d1) (princ "\nChuong trinh chi dung voi linear dimension "))

(setq *error* olderr)

(princ)

)

(setq olderr *error*)

(setq taphop (SSGET '((0 . "DIMENSION")))

P1 (getpoint "\nSelect new dimension position")

sophantu (SSLENGTH taphop)

sodem 0)

(WHILE (< sodem sophantu)

(setq lis1 (entget (ssname taphop sodem))

old10 (assoc 10 lis1)

p10 (cdr (assoc 10 lis1))

p13 (cdr (assoc 13 lis1))

p14 (cdr (assoc 14 lis1))

ang (cdr (assoc 50 lis1))

dstyle (cdr (assoc 70 lis1))

)

(cond

((or (= dstyle 1)(= dstyle 32)(= dstyle 160)) (setq p2 (polar p1 ang 500)))

((= dstyle 33)

(progn

(setq ang (angle p13 p14)

p2 (polar p1 ang 500))

))

)

(setq d1 (ha:giaodiem p10 p1 p2)

new10 (list 10 (car d1) (cadr d1) 0)

lis1 (subst new10 old10 lis1)

sodem (1+ sodem))

(entmod lis1)

)

(setq *error* olderr)

(princ)

)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×